explain_ftruncate_or_die(3)

NAME
explain_ftruncate_or_die - truncate a file and report errors
    "truncate a file and report errors"

SYNOPSIS
#include <libexplain/ftruncate.h>

void explain_ftruncate_or_die(int fildes, long long length);

DESCRIPTION
The explain_ftruncate_or_die function is used to call the ftruncate(2) system call. On failure an explanation will be printed to stderr, obtained from explain_ftruncate(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_ftruncate_or_die(fildes, length);

fildes
    The fildes, exactly as to be passed to the ftruncate(2) system call.

length
    The length, exactly as to be passed to the ftruncate(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

ftruncate(2)
    truncate a file to a specified length

explain_ftruncate(3)
    explain ftruncate(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2008 Peter Miller